{% extends "app/base.html" %} {% load utils %} {% block content %}

<h2 class="mb-4">学習用</h2>

<div class="mb-2">
  <h4>アップロードモード選択</h4>
</div>

<div class="radio-tile-group">
  <div class="input-container">
    <input id="all" class="radio-button" type="radio" name="mode" value="all" />
    <div class="radio-tile">
      <div class="icon">
        <svg
          fill="#000000"
          height="24"
          viewBox="0 0 24 24"
          width="24"
          xmlns="http://www.w3.org/2000/svg"
        >
          <path d="M0 0h24v24H0z" fill="none" />
          <path
            d="M13.5 5.5c1.1 0 2-.9 2-2s-.9-2-2-2-2 .9-2 2 .9 2 2 2zM9.8 8.9L7 23h2.1l1.8-8 2.1 2v6h2v-7.5l-2.1-2 .6-3C14.8 12 16.8 13 19 13v-2c-1.9 0-3.5-1-4.3-2.4l-1-1.6c-.4-.6-1-1-1.7-1-.3 0-.5.1-.8.1L6 8.3V13h2V9.6l1.8-.7"
          />
        </svg>
      </div>
      <label for="all" class="radio-tile-label">全追加モード</label>
    </div>
  </div>

  <div class="input-container">
    <input id="diff" class="radio-button" type="radio" name="mode" value="diff" checked />
    <div class="radio-tile">
      <div class="icon">
        <svg
          fill="#000000"
          height="24"
          viewBox="0 0 24 24"
          width="24"
          xmlns="http://www.w3.org/2000/svg"
        >
          <path d="M0 0h24v24H0z" fill="none" />
          <path
            d="M15.5 5.5c1.1 0 2-.9 2-2s-.9-2-2-2-2 .9-2 2 .9 2 2 2zM5 12c-2.8 0-5 2.2-5 5s2.2 5 5 5 5-2.2 5-5-2.2-5-5-5zm0 8.5c-1.9 0-3.5-1.6-3.5-3.5s1.6-3.5 3.5-3.5 3.5 1.6 3.5 3.5-1.6 3.5-3.5 3.5zm5.8-10l2.4-2.4.8.8c1.3 1.3 3 2.1 5.1 2.1V9c-1.5 0-2.7-.6-3.6-1.5l-1.9-1.9c-.5-.4-1-.6-1.6-.6s-1.1.2-1.4.6L7.8 8.4c-.4.4-.6.9-.6 1.4 0 .6.2 1.1.6 1.4L11 14v5h2v-6.2l-2.2-2.3zM19 12c-2.8 0-5 2.2-5 5s2.2 5 5 5 5-2.2 5-5-2.2-5-5-5zm0 8.5c-1.9 0-3.5-1.6-3.5-3.5s1.6-3.5 3.5-3.5 3.5 1.6 3.5 3.5-1.6 3.5-3.5 3.5z"
          />
        </svg>
      </div>
      <label for="diff" class="radio-tile-label">差分追加モード</label>
    </div>
  </div>
</div>
<hr />

{% if messages %} {% for message in messages %}
<div
  class="alert{% if message.tags %} alert-{{ message.tags }}{% endif %} alert-dismissible"
  role="alert"
  id="liveAlert"
>
  {{ message }}
</div>
{% endfor %} {% endif %}

<div class="mb-4">
  <form method="POST" class="dropzone dz" id="mydropzone">
    {% csrf_token %}
    <div class="fallback">
      <input name="file" type="file" multiple />
    </div>
  </form>
</div>

<div class="d-flex justify-content-between">
  <div class="d-flex align-items-end">
    合計{{ total_count }}件 {{ page_obj.start_index }}～{{ page_obj.end_index }}件を表示
  </div>

  <form method="get" action="{% url 'search_train' %}" class="input-group w-25">
    <input type="text" class="form-control" name="keyword" placeholder="ファイル名を検索..." />
    <button class="btn btn-outline-secondary" type="submit">検索</button>
  </form>
</div>

{% if keyword %}
<h4 class="my-4">「{{ keyword }}」の検索結果</h4>
{% endif %}

<table class="table table-striped">
  <thead>
    <tr>
      <th class="text-center" scope="col">日付</th>
      <th class="text-center" scope="col">時間</th>
      <th class="text-center" scope="col">ファイル名</th>
      <th class="text-center" scope="col">ステータス</th>
      <th class="text-center" scope="col">オイラー存在しない</th>
    </tr>
  </thead>
  <tbody>
    {% for data in train_data %}
    <tr>
      <td class="text-center">{{ data.created_at|date }}</td>
      <td class="text-center">{{ data.created_at|time }}</td>
      <td class="text-center">{{ data.name }}</td>
      <td class="text-center">{{ data.status }}</td>
      <td class="text-center">
        {% if data.no_oyler %}
        <a class="btn btn-secondary btn-sm" href="{% url 'download_no_oyler' data.id %}">
          ダウンロード
        </a>
        {% else %} - {% endif %}
      </td>
    </tr>
    {% endfor %}
  </tbody>
</table>

<ul class="pagination justify-content-center">
  {% if page_obj.has_previous %}
  <li class="page-item">
    <a class="page-link" href="?{%  url_replace request 'page' page_obj.previous_page_number %}">
      <span aria-hidden="true">&laquo;</span>
    </a>
  </li>
  {% endif %} {% for num in page_obj.paginator.page_range %} {% if page_obj.number == num %}
  <li class="page-item active">
    <a class="page-link" href="#!"> {{ num }} </a>
  </li>
  {% else %}
  <li class="page-item">
    <a class="page-link" href="?{%  url_replace request 'page' num %}"> {{ num }} </a>
  </li>
  {% endif %} {% endfor %} {% if page_obj.has_next %}
  <li class="page-item">
    <a class="page-link" href="?{%  url_replace request 'page' page_obj.next_page_number %}">
      <span aria-hidden="true">&raquo;</span>
    </a>
  </li>
  {% endif %}
</ul>

{% endblock %} {% block extra_js %}
<script>
  Dropzone.autoDiscover = false
  let mode = 'diff'

  const myDropzone = new Dropzone('#mydropzone', {
    url: `/fileupload_train/${mode}/`,
    maxFilesize: 10, // MB
    dictDefaultMessage: 'ファイルをアップロードしてください',
    acceptedFiles: '.csv',
    paramName: 'file',
    success: function (file, response) {
      window.location.href = JSON.parse(file.xhr.response).url
    },
    // error: function (event, errorMessage, xhr) {
    //   console.log(errorMessage)
    // },
  })

  $('input[name="mode"]').change(function () {
    mode = $(this).val()
    myDropzone.options.url = `/fileupload_train/${mode}/`
  })
</script>

{% endblock %}
